Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™
Author Message
x-sphere
New Member
New Member


Joined: Mar 14, 2007
Posts: 13

PostPosted: Wed Mar 14, 2007 7:54 pm Reply with quote

Hi, i have been spending countless hours trying to figure out setting up Sentinel on our website. I have successfully uploaded all files necessary and installed Sentinel. Then i click NukeSentinel Admin, and recieve this message.

It appears that NukeSentinel(tm) has not been configured correctly. The most common cause is that you either have an error in the syntax that is including includes/nukesentinel.php from your mainfile.php, or you have not added the NukeSentinel(tm) code to your mainfile.php. Details for including this code are included in the download package in the Edits_For_Core_Files directory.

I have checked what it has shown, and i can't find the required lines. Been weeks on this, and about ready to give up Sad
I read some of the posts here, found some to be useful, but no success overall. Would appreciate some help..Thank You in advance.
PHPNuke 7.9
NukeSentinel Version 2505.70.80
 
View user's profile Send private message
jakec
Site Admin


Joined: Feb 06, 2006
Posts: 3048
Location: United Kingdom

PostPosted: Thu Mar 15, 2007 5:47 am Reply with quote

Are you using the latest patched files?
 
View user's profile Send private message
x-sphere
PostPosted: Thu Mar 15, 2007 10:15 am Reply with quote

I really have no idea, i downloaded the file and uploaded what was necessary from the readme. Im about to throw my comp out the window, it's driving me crazy lol.
BTW, i do not have *catalog* which is mentioned in another post here.
 
Gremmie
Former Moderator in Good Standing


Joined: Apr 06, 2006
Posts: 2415
Location: Iowa, USA

PostPosted: Thu Mar 15, 2007 10:28 am Reply with quote

First of all make sure you have the latest patched files for 7.9. Get them from nukeresources.com.

Then, the corefile edits have to be made. They don't quite match 7.9 with the patches, but they are very close, and usually you can figure out what the intent was. If you have any questions, ask here.

If you are starting a brand new site, just grab RavenNuke 2.10. It was just released and already has Sentinel integrated with it.

_________________
Only registered users can see links on this board! Get registered or login! - An Event Calendar for PHP-Nuke
Only registered users can see links on this board! Get registered or login! - A Google Maps Nuke Module 
View user's profile Send private message
x-sphere
PostPosted: Thu Mar 15, 2007 10:31 am Reply with quote

What is ravenuke? And i did notice that the files did not match, and im not very good at fitting stuff in unles it's explained. So some explanatory help would be much appreciated. I have TS if that helps. TY
 
srhh
Involved
Involved


Joined: Dec 27, 2005
Posts: 296

PostPosted: Thu Mar 15, 2007 10:37 am Reply with quote

Quote:

What is ravenuke?


Whaaa?
Only the best thing since sliced bread! Only registered users can see links on this board! Get registered or login!

Based on version 7.6, the most secure, patched and fastest version of Nuke available. Nice features and extras, with no bloat. Smile And NukeSentinel is pre-installed.
 
View user's profile Send private message
x-sphere
PostPosted: Thu Mar 15, 2007 10:43 am Reply with quote

Hmm, looked at it, have no problem donating if i use it.
Would rather try and get sentinel working on what we got right now, as i am only Administrator, not Leader. I will mention Ravenuke.
Fresh install of Ravenuke? So PHPnuke will be gone completely?
More Details, pros/cons. Don't want to make a wrong move. Never even heard of it till now. Also help with patch for sentinel will be good too.
 
Gremmie
PostPosted: Thu Mar 15, 2007 10:47 am Reply with quote

RavenNuke is a version of PHP-Nuke with tons of fixes and actual support (here). You could port your existing site to it.
 
x-sphere
PostPosted: Thu Mar 15, 2007 10:51 am Reply with quote

So i will lose everything? Cos i spent alot of hours getting the site up and running with what its got. Hate to lose it all just for Sentinel. I am reading about it as we post away lol. Reading the sentinel upgrades and patches also.
I would still like to get Sentinel running first, just so i know it works with autotheme etc. I will try to get Leaders to switch to ravenuke then. I know that probably don't make sense, but trust me, it does. With what we have been through, it does Smile
 
Gremmie
PostPosted: Thu Mar 15, 2007 11:16 am Reply with quote

No, in theory you can port your 7.9 site to RN2.10 and not lose anything. I'm about to do this exact thing... Wink

If you want to get Sentinel running on your existing 7.9 site you are going to have to sit down and make the core file edits. It isn't hard if you know some PHP, even though the directions no longer perfectly match the core 7.9 plus patches files.
 
x-sphere
PostPosted: Thu Mar 15, 2007 11:21 am Reply with quote

Wow, im impressed by the quick support that is here.
Ok, i am still learning PHP, what you said: (No, in theory you can port your 7.9 site to RN2.10 and not lose anything)
That makes no sense to me, sorry, like i said, still learning PHP.
Would appreciate some assistance with it, no problem if it's too much work.
I would also have no problem with the core edits, but like you said, they don't match Sad
 
x-sphere
PostPosted: Thu Mar 15, 2007 12:19 pm Reply with quote

Ok i have decided to go ahead with RavenNuke, so could i get some assistance with it, so i don't lose anything..Thank You.
 
Gremmie
PostPosted: Thu Mar 15, 2007 12:46 pm Reply with quote

You won't lose anything because your data (users, forum posts, etc) is stored in database tables. You then convert your database to RN2.10's format.

This very recent and timely thread (amongst a lot of others) talks about converting to RN2.10 from other Nukes:
Only registered users can see links on this board! Get registered or login!
 
x-sphere
PostPosted: Thu Mar 15, 2007 12:53 pm Reply with quote

Ty all for your replies, at such speed too.
I have read the other tpoic you posted Gremmie, and it looks too complicated for me. I may attempt it, see how things pan out.
 
Gremmie
PostPosted: Thu Mar 15, 2007 12:58 pm Reply with quote

We should probably continue this conversation in the other thread since it is drifting off the original topic. But you might be able to build on the work that I will do to convert my 7.9 site.
 
x-sphere
PostPosted: Thu Mar 15, 2007 2:09 pm Reply with quote

which topic is that?
 
jakec
PostPosted: Thu Mar 15, 2007 2:52 pm Reply with quote

Just thought I would jump in and point out the obvious, but please make sure you backup before trying to upgrade, just in case it all goes pearshaped.
 
x-sphere
PostPosted: Thu Mar 15, 2007 8:49 pm Reply with quote

Thnx for the jump in, fortunately i have learnt from my mistakes and do a backup everytime im about to do something major. IE. Alter something. Thnx again Smile
 
Display posts from previous:       
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©